Bug 70088 - Missing mikmod input plugin
Missing mikmod input plugin
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2002-07-30 04:05 EDT by Herrick, Andrew
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-30 23:33:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Herrick, Andrew 2002-07-30 04:05:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The binary xmms packages distributed with Redhat Linux 7.3 are missing the files
/usr/lib/xmms/Input/libmikmod.la and /usr/lib/xmms/Input/libmikmod.so. This
prevents people from playing the old .mod .s3m etc. files.

If I build the package from the .src.rpm which is available from Redhat's site
the mikmod files are there in the resulting i386 binary rpm.

From what I can tell it looks like your build machine is missing the
mikmod-3.1.6-12.i386.rpm package from RedHat Linux 7.3.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. 'rpm -Uvh xmms-1.2.7-1.i386.rpm' (from 7.3 CD or ftp.redhat.com)
2. 'rpm -ql xmms | grep mikmod' (notice nothing matches)
3. 'rpm -Uvh xmms-1.2.7-1.src.rpm'
4. 'cd /usr/src/redhat/SPECS'
5. 'rpm -ba xmms.spec'
6. 'cd /usr/src/redhat/RPMS/i386'
7. 'rpm -qlp xmms-1.2.7-1.i386.rpm | grep mikmod' (it's there!)

Actual Results:  The mikmod files that don't show up in the rpm distributed from
Redhat show up in the newly built binary rpm.

Expected Results:  The mikmod files that show up when built locally should also
be in the binary rpm distributed by redhat.

Additional info:

I think that your build machine may not have the seperate mikmod package
installed. This results in a failed build of the mikmod Input plugin for xmms.
Comment 1 Bill Nottingham 2003-01-30 23:33:02 EST
Fixed in current builds.

Note You need to log in before you can comment on or make changes to this bug.